<?php
require_once(dirname(dirname(dirname(dirname(__FILE__)))) . '/config.php');
require_login();
require_capability('moodle/site:doanything', get_context_instance(CONTEXT_SYSTEM, SITEID));

if (!$site = get_site()) {
    redirect("index.php");
}

/// get language strings
$str = get_strings(array('enrolments', 'users', 'administration', 'settings'));
$nav[0] = array('name' => 'Admin', 'link' => '../../../'.$CFG->admin.'/index.php', 'type' => '');
$nav[1] = array('name' => 'LMB', 'link' => '../../../'.$CFG->admin.'/enrol_config.php?enrol=lmb', 'type' => '');
$nav[2] = array('name' => 'Tools', 'link' => './index.php', 'type' => '');
$nav[3] = array('name' => 'Prune Banner LMB Module Tables', 'link' => '', 'type' => 'title');

print_header("$site->shortname: $str->enrolments", $site->fullname,
              build_navigation($nav));
              
require_once('../enrol.php');


@set_time_limit(0);

print_box_start();
$sem = optional_param("sem");
$conf = optional_param("conf");

if ($conf === 'Yes') {
    $conf = true;
} else if ($conf === 'No') {
    $sem = NULL;
    $conf = NULL;
} else if ($conf) {
    $sem = NULL;
    $conf = NULL;
}

if ($sem && $conf) {
    $enrol = new enrolment_plugin_lmb();
    $enrol->prune_tables($sem);
    print "Pruned ".$sem.'.';
} else if ($sem) {
    $term = get_record('lmb_terms', 'sourcedid', $sem);
    ?>
	
	<form action="" METHOD="post">
	Are you sure you want to delete the semester <?php print $term->title.' ('.$term->sourcedid.')'; ?> from the Banner/LMB Module tables?<br>
	<input type="hidden" name="sem" value="<?php print $sem; ?>">
	<input TYPE=SUBMIT VALUE=Yes name=conf><input TYPE=SUBMIT VALUE=No name=conf>
	</form>
	
<?
} else {
    $terms = enrol_lmb_make_terms_menu_array();
    
	?>
	
	<form action="" METHOD="post">
	This tool will delete records associated with a semester from the Banner/Luminis Message Broker module's internal tables.<br>
	<br>
	This will generally be used long after a semester has ended, and you would like to remove unneeded data from tables.<br>
	<br>
	This do not effect data in Banner or to users in Moodle - this only removed backend information used solely by this module.<br><br> 
	Semester:<?php choose_from_menu($terms, 'sem'); ?><br>
	<input TYPE=SUBMIT VALUE="Prune...">
	</form>
	
    <?
}


print_box_end();


print_footer();

exit;
?>